import { a as e, t as i } from "../../index-DSGwv2Yx.js";
function n(t) {
  const { inputs: r, attrs: l } = t, { transposeA: o, transposeB: s } = l, { x: u, kernel: a, y: c } = r, m = u, k = a, M = c;
  return i(() => m.matMul(k, o, s).mul(M));
}
const p = {
  kernelName: "MatMulMul",
  backendName: "cpu",
  kernelFunc: n
};
e(p);
const f = {
  kernelName: "MatMulMul",
  backendName: "tensorflow",
  kernelFunc: n
};
e(f);
const g = {
  kernelName: "MatMulMul",
  backendName: "webgpu",
  kernelFunc: n
};
e(g);
